Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002745Zandronum[All Projects] Suggestionpublic2016-06-03 00:072016-12-17 00:22
ReporterAlexMax 
Assigned ToEdward-san 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002745: Change default authentication server cvar to official auth server.
DescriptionNow that the authentication server is live, I think it's a good idea to change the default authhostname to auth.zandronum.com:16666. Even better if the default port was switched to 16666 at the same time so the port can be omitted.

There are valid reasons for changing this, like there are occasionally valid reasons for changing the master server, but the official auth server should serve hosts needs 99% of the time.
Attached Files

- Relationships

-  Notes
User avatar (0015004)
Edward-san (developer)
2016-06-03 00:37

Done:https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/103/the-default-authhostname-cvar-has-been/diff [^]
User avatar (0015025)
Edward-san (developer)
2016-06-05 18:28

Added in zandronum upstream with this changeset:https://bitbucket.org/Torr_Samaho/zandronum/commits/10d3e3672b28 [^]
User avatar (0015196)
WaTaKiD (updater)
2016-07-02 19:52
edited on: 2016-07-02 19:53

usinghttps://www.dropbox.com/s/47tfog9di3lorlg/zandronum-3.0-r160702-1232-b244a48-windows.zip?dl=0 [^] fresh inis correctly have authhostname set to "auth.zandronum.com:16666", but existing inis do not

how do people feel about existing inis having their authhostname overwritten? how about only if authhostname is blank? (incase they prefer to use a non official auth server)

User avatar (0016511)
Ru5tK1ng (updater)
2016-12-17 00:21

It's been a few months and no one really seems to mind the behavior. I say we simply leave it as is and if anyone has any issues with authhostname with their pre-existing ini, we'll just tell him to change it to auth.zandronum.com:16666

Also, in most cases authhostname isn't left blank at least in 2.1.2 it seems to default to localhost (at least mine did).

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Combinebobnt Hypnotoad AOSP unknownna
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-06-03 00:07 AlexMax New Issue
2016-06-03 00:30 Edward-san Assigned To => Edward-san
2016-06-03 00:30 Edward-san Status new => assigned
2016-06-03 00:37 Edward-san Note Added: 0015004
2016-06-03 00:37 Edward-san Status assigned => needs review
2016-06-05 18:28 Edward-san Note Added: 0015025
2016-06-05 18:28 Edward-san Status needs review => needs testing
2016-07-02 19:52 WaTaKiD Note Added: 0015196
2016-07-02 19:52 WaTaKiD Note Edited: 0015196 View Revisions
2016-07-02 19:53 WaTaKiD Note Edited: 0015196 View Revisions
2016-11-24 07:47 Edward-san Product Version => 2.1
2016-11-24 07:47 Edward-san Target Version => 3.0
2016-12-17 00:21 Ru5tK1ng Note Added: 0016511
2016-12-17 00:22 Ru5tK1ng Status needs testing => resolved
2016-12-17 00:22 Ru5tK1ng Resolution open => fixed
2016-12-17 00:22 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker